|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QMouseDriverPlugin Class Reference
[QtGui module]

The QMouseDriverPlugin class provides an abstract base for Qt/Embedded mouse driver plugins. More...

    #include <QMouseDriverPlugin>

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- QMouseDriverPlugin ( QObject * parent = 0 )
- ~QMouseDriverPlugin ()
- virtual QWSMouseHandler * create ( const QString & driver, const QString & device ) = 0
- virtual QStringList keys () const = 0

- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QMouseDriverPlugin class provides an abstract base for Qt/Embedded mouse driver plugins.

The mouse driver plugin is a simple plugin interface that makes it easy to create custom mouse drivers.

Writing a mouse driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN() macro. See How to Create Qt Plugins for details.

This class is only available in Qt/Embedded.

## Member Function Documentation

### QMouseDriverPlugin::QMouseDriverPlugin ( QObject * parent = 0 )

Constructs a mouse driver plugin with the given parent. This is invoked automatically by the Q_EXPORT_PLUGIN() macro.

### QMouseDriverPlugin::~QMouseDriverPlugin ()

Destroys the mouse driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QWSMouseHandler * QMouseDriverPlugin::create ( const QString & driver, const QString & device ) `[pure virtual]`

Creates a driver matching the type specified by driver and which uses device device.

See also keys().

### QStringList QMouseDriverPlugin::keys () const `[pure virtual]`

Returns the list of mouse drivers this plugin supports.

Reimplemented from QFactoryInterface.

See also create().